filter.hh File Reference
`#include <mia/2d/image.hh>`
`#include <mia/core/factory.hh>`
`#include <mia/core/filter.hh>`
`#include <mia/template/filter_chain.hh>`
`#include <mia/template/combiner.hh>`
Include dependency graph for 2d/filter.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | C2DCombinerPluginHandlerTestPath

## Typedefs

typedef TDataFilter< C2DImage > | C2DFilter
typedef TDataFilterPlugin< C2DImage > | C2DFilterPlugin
typedef THandlerSingleton< TFactoryPluginHandler< C2DFilterPlugin > > | C2DFilterPluginHandler
typedef TImageCombiner< C2DImage > | C2DImageCombiner
| 2D Image combiner
typedef TFactory< C2DImageCombiner > | C2DImageCombinerPlugin
typedef THandlerSingleton< TFactoryPluginHandler< C2DImageCombinerPlugin > > | C2DImageCombinerPluginHandler
| Plugin handler for image combiner plugins.
typedef TFilterChain< C2DFilterPluginHandler > | C2DImageFilterChain
typedef std::shared_ptr< C2DFilter > | P2DFilter
typedef std::shared_ptr< C2DImageCombiner > | P2DImageCombiner

## Functions

| FACTORY_TRAIT (C2DImageCombinerPluginHandler)
P2DFilter | produce_2dimage_filter (const char *descr)
P2DImage EXPORT_2D | run_filter (const C2DImage &image, const char *filter)
P2DImage EXPORT_2D | run_filter (P2DImage image, const char *filter)
P2DImage EXPORT_2D | run_filter_chain (P2DImage image, const std::vector< const char * > &filters)
P2DImage EXPORT_2D | run_filter_chain (P2DImage image, size_t nfilters, const char *filters[]) __attribute__((deprecated))

## Typedef Documentation

## C2DImageCombinerPlugin

typedef TFactory<C2DImageCombiner> C2DImageCombinerPlugin

Definition at line 126 of file 2d/filter.hh.

## C2DImageCombinerPluginHandler

typedef THandlerSingleton<TFactoryPluginHandler<C2DImageCombinerPlugin> > C2DImageCombinerPluginHandler

Plugin handler for image combiner plugins.

Definition at line 131 of file 2d/filter.hh.

## P2DImageCombiner

typedef std::shared_ptr<C2DImageCombiner> P2DImageCombiner

Definition at line 125 of file 2d/filter.hh.

## Function Documentation

## FACTORY_TRAIT()

FACTORY_TRAIT | ( | C2DImageCombinerPluginHandler |  | ) |

## produce_2dimage_filter()

P2DFilter produce_2dimage_filter | ( | const char * | descr | ) |

inline

Convenience function to create a filter from its string description

Definition at line 63 of file 2d/filter.hh.

References THandlerSingleton< TFactoryPluginHandler< C2DFilterPlugin > >::instance().